package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块外业分配LOG对象 t_dk_fieldwork_log
 * 
 * @author siwei
 * @date 2025-02-12
 */
public class TDkFieldworkLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 外业分配表ID */
    @Excel(name = "外业分配表ID")
    private String fieldworId;

    /** 状态0下发 1保存  2提交  -1取消状态 */
    @Excel(name = "状态0下发 1保存  2提交  -1取消状态")
    private String stepState;

    /**
     * 审核流程ID
     */
    private String auditflowId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setFieldworId(String fieldworId) 
    {
        this.fieldworId = fieldworId;
    }

    public String getFieldworId() 
    {
        return fieldworId;
    }
    public void setStepState(String stepState) 
    {
        this.stepState = stepState;
    }

    public String getStepState() 
    {
        return stepState;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fieldworId", getFieldworId())
            .append("stepState", getStepState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
